var books = Alloy.createCollection("book");

var newBooks = [
	{
		name : "A game of thrones",
		author : "George R R Martin"
	},
	{
		name : "Ender's Game",
		author : "Scott Card"
	},
	{
		name : "World War Z",
		author : "Max Brooks"
	}
];

for(var i = 0, j = newBooks.length; i<j; i++){
	var m = Alloy.createModel("book");
	m.set({ name : newBooks[i].name, author : newBooks[i].author });
	m.save();
}

books.fetch();

books.each(function(m){
	var row = Ti.UI.createTableViewRow({
		title : m.get("name"),
		id : m.id
	});
	$.booksTableView.appendRow(row);
});

$.index.open();

$.booksTableView.addEventListener("click", function(e){
	var alloy_id = e.row.id;
	
	books.fetch({ id : alloy_id });
	alert(books.length);
});
